---
updatedAt: 2025-09-25T21:10:54.000Z
agentTools:
  projectIndex: https://developers.toriihq.com/llms.txt
---

# Errors

## Errors

Torii uses conventional HTTP response codes to indicate the success or failure of an API request. In general: Codes in the `2xx` range indicate success. Codes in the `4xx` range indicate an error that failed given the information provided (e.g., a required parameter was omitted, invalid payload, etc.). Codes in the 5xx range indicate an error with Torii's servers.

Example:

```Text json
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "Missing required query parameter 'state'"
}
```